Show / Hide Table of Contents

Class ListBatchJobTasksRequest

Inheritance
object
ListBatchJobTasksRequest
Implements
IOciRequest
Inherited Members
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()
Namespace: Oci.BatchService.Requests
Assembly: OCI.DotNetSDK.Batch.dll
Syntax
public class ListBatchJobTasksRequest : IOciRequest
Examples

Click here to see an example of how to use ListBatchJobTasks request.

Properties

BatchJobId

Declaration
[Required(ErrorMessage = "BatchJobId is required.")]
[HttpConverter(TargetEnum.Path, "batchJobId")]
public string BatchJobId { get; set; }
Property Value
Type Description
string

The OCID of the batch job.

Remarks

Required

GroupTaskName

Declaration
[HttpConverter(TargetEnum.Query, "groupTaskName")]
public string GroupTaskName { get; set; }
Property Value
Type Description
string

HierarchyView

Declaration
[HttpConverter(TargetEnum.Query, "hierarchyView")]
public BatchTaskHierarchyView? HierarchyView { get; set; }
Property Value
Type Description
BatchTaskHierarchyView?

Defines the hierarchical scope of the tasks to be returned. When set to SHALLOW, which is default, only tasks contained directly (non-recursively) within current hierarchy entry are returned. When set to DEEP, tasks contained within current hierarchy entry and all its descendants recursively are returned. The default hierarchy entry is root, i.e. batch job itself. To use a different hierarchy entry, provide the group task name as a query parameter. The specified group task becomes the entry point instead of the batch job.

LifecycleState

Declaration
[HttpConverter(TargetEnum.Query, "lifecycleState")]
public BatchTask.LifecycleStateEnum? LifecycleState { get; set; }
Property Value
Type Description
BatchTask.LifecycleStateEnum?

A filter to return only resources that match the given lifecycle state. The state value is case-insensitive.

Limit

Declaration
[HttpConverter(TargetEnum.Query, "limit")]
public int? Limit { get; set; }
Property Value
Type Description
int?

For list pagination. The maximum number of results per page, or items to return in a paginated "List" call. For important details about how pagination works, see List Pagination.

Name

Declaration
[HttpConverter(TargetEnum.Query, "name")]
public string Name { get; set; }
Property Value
Type Description
string

The hierarchical name of the batch task. Mutually exclusive with the task id query parameter: you can't pass both.

OpcRequestId

Declaration
[HttpConverter(TargetEnum.Header, "opc-request-id")]
public string OpcRequestId { get; set; }
Property Value
Type Description
string

Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID. The only valid characters for request IDs are letters, numbers, underscore, and dash.

Page

Declaration
[HttpConverter(TargetEnum.Query, "page")]
public string Page { get; set; }
Property Value
Type Description
string

For list pagination. The value of the opc-next-page response header from the previous "List" call. For important details about how pagination works, see List Pagination.

SortBy

Declaration
[HttpConverter(TargetEnum.Query, "sortBy")]
public BatchTaskSortBy? SortBy { get; set; }
Property Value
Type Description
BatchTaskSortBy?

The field to sort by. You can provide only one sort order. Default order for name is ascending.

SortOrder

Declaration
[HttpConverter(TargetEnum.Query, "sortOrder")]
public SortOrder? SortOrder { get; set; }
Property Value
Type Description
SortOrder?

The sort order to use, either ascending (ASC) or descending (DESC).

TaskId

Declaration
[HttpConverter(TargetEnum.Query, "taskId")]
public string TaskId { get; set; }
Property Value
Type Description
string

The UUID of the batch task. Mutually exclusive with the task name and group task name query parameters: you can't pass both.

Type

Declaration
[HttpConverter(TargetEnum.Query, "type")]
public BatchTask.TypeEnum? Type { get; set; }
Property Value
Type Description
BatchTask.TypeEnum?

Filter tasks by type. Valid values are: COMPUTE, GROUP.

Implements

IOciRequest
In this article
Back to top